/**
 * Table
 */

// Reboot based on :
// - normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css
// - sanitize.css v13.0.0 | CC0 1.0 Universal | github.com/csstools/sanitize.css
// ––––––––––––––––––––

// 1. Collapse border spacing in all browsers (opinionated)
// 2. Remove text indentation from table contents in Chrome, Edge, and Safari
:where(table) {
  width: 100%;
  border-collapse: collapse; // 1
  border-spacing: 0;
  text-indent: 0; // 2
}

// Pico
// ––––––––––––––––––––

// Cells
th,
td {
  padding: calc(var(--spacing) / 2) var(--spacing);
  color: var(--color);
  font-weight: var(--font-weight);
  font-size: var(--font-size);
  text-align: left;
  text-align: start;
}

tr:not(:last-of-type) {
  td {
    border-bottom: var(--border-width) solid var(--table-border-color);
  }
}

thead {
  --border-width: 3px;
  th {
    background: var(--table-header-background-color);
    border-bottom: var(--border-width) solid var(--table-border-color);
    &:first-of-type {
      border-radius: var(--border-radius) 0 0 0;
    }
    &:last-of-type {
      border-radius: 0 var(--border-radius) 0 0;
    }
    &:first-of-type:last-of-type {
      border-radius: var(--border-radius) var(--border-radius) 0 0;
    }
  }
}

// Footer
tfoot {
  td {
    border-top: var(--border-width) solid var(--table-border-color);
    border-bottom: 0;
  }
}

// Striped
table {
  tbody tr:nth-child(odd) {
    background-color: var(--table-row-stripped-background-color);
  }
}
